Bug 53906 - Fastlane showing nothing from Apple subscriptions and not updating
Summary: Fastlane showing nothing from Apple subscriptions and not updating
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: General (show other bugs)
Version: 7.0 (VSforMac)
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: 15.2
Assignee: Oleg Demchenko
URL:
Depends on:
Blocks:
 
Reported: 2017-03-24 12:56 UTC by Paul Johnson
Modified: 2017-04-13 07:29 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: No
Last known good build:


Attachments
Logs Generated during verification of FIx (7.57 KB, application/zip)
2017-04-13 07:28 UTC, Prasad Raghorte
Details

Description Paul Johnson 2017-03-24 12:56:12 UTC
Fastlane will allow me access to my Apple dev account but when I try to see any of the profiles in a subscription, nothing shows. Works fine with Xcode

If I add a profile to my apple account, the new profiles are not grabbed or showing that there are new profiles available (so it still uses the old profiles when creating an ad hoc or dist binary)


=== Visual Studio for Mac Preview ===

Version Preview 5 (7.0 build 1659)
Installation UUID: 933163e9-dca5-472b-b2ed-29d7aab111ab
Runtime:
	Mono 4.8.0 (mono-4.8.0-branch/8f6d0f6) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 408000520

=== NuGet ===

Version: 4.0.0.2323

=== Xamarin.Profiler ===

Version: 1.3.3
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Apple Developer Tools ===

Xcode 8.2.1 (11766.1)
Build 8C1002

=== Xamarin.iOS ===

Version: 10.8.0.20 (Visual Studio Enterprise)
Hash: f94cf26
Branch: d15-1
Build date: 2017-03-14 12:37:51-0400

=== Xamarin.Android ===

Version: 7.2.0.2 (Visual Studio Enterprise)
Android SDK: /Users/PFJ/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		2.3   (API level 10)
		4.0.3 (API level 15)
		4.1   (API level 16)
		4.2   (API level 17)
		4.3   (API level 18)
		4.4   (API level 19)
		5.0   (API level 21)
		5.1   (API level 22)
		6.0   (API level 23)
		7.0   (API level 24)
		7.1   (API level 25)

SDK Tools Version: 25.2.5
SDK Platform Tools Version: 26 rc1
SDK Build Tools Version: 26 rc1

Java SDK: /usr
java version "1.8.0_121"
Java(TM) SE Runtime Environment (build 1.8.0_121-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.121-b13, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin.Mac ===

Version: 3.2.0.20 (Visual Studio Enterprise)

=== Xamarin Inspector ===

Version: 1.2.0
Hash: 62c17e6
Branch: d15-1
Build date: Mon, 20 Mar 2017 02:36:23 GMT

=== Build Information ===

Release ID: 700001659
Git revision: c3bcd7708b7762fa4c12a88e7c5d75d83eb6462b
Build date: 2017-03-14 22:27:06-04
Xamarin addins: 11612bcfed8942216a2991a15e28b8d3df21449a
Build lane: monodevelop-lion-vs-mac-preview5

=== Operating System ===

Mac OS X 10.12.3
Darwin iMac.local 16.4.0 Darwin Kernel Version 16.4.0
    Thu Dec 22 22:53:21 PST 2016
    root:xnu-3789.41.3~3/RELEASE_X86_64 x86_64

=== Enabled user installed addins ===

Redth's Addins 1.0.4
Comment 1 Oleg Demchenko 2017-04-05 15:52:00 UTC
Hi Paul,

Thanks for reporting this issue. The fix will be available in next Alpha channel update of Visual Studio for Mac later this week.
Comment 2 Prasad Raghorte 2017-04-13 07:28:53 UTC
Created attachment 21490 [details]
Logs Generated during verification of FIx

Bug verified on following build :
Visual Studio For Mac
Version Preview 7 (7.0 build 2794)
Runtime:Mono 5.0.0.48 (2017-02/851b6c7) (64-bit)
Xamarin.iOS : Version: 10.10.0.8 
Xamarin.Android : Version: 7.3.0.5
Xamarin.Mac : Version: 3.4.0.8

It is fixed and is working as expected. Hence marking this bug as 'Verified'.

Screencast : http://www.screencast.com/t/Z40myu451

Note You need to log in before you can comment on or make changes to this bug.